Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IMP » Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring
Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #26970] Sat, 07 March 2009 07:07 Go to next message
Tommaso D'Argenio is currently offline Tommaso D'Argenio
Messages: 2
Registered: July 2009
Junior Member
Hi All,

i hope somebody could help me out with this problem.

i'm trying to install IMP in order to use AXDT but keep getting the
message in the subject as error and couldn't cotinue the installation:
Cannot find a solution satisfying the following requirements
org.eclipse.ltk.core.refactoring [3.4.2.r342_v20081028-0800].

i'm using Eclipse:
Version: 3.4.2
Build id: M20090211-1700

i'm trying to install IMP from the update site via Software Update
functionality in Eclipse
i've also installed LPG as i've seen a note in the installation page about
having LPG preinstalled before installing IMP.

any help is much appreciated.

thanks
Tommaso.
Re: Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #27011 is a reply to message #26970] Mon, 09 March 2009 12:47 Go to previous messageGo to next message
Jin Missing name is currently offline Jin Missing name
Messages: 100
Registered: July 2009
Senior Member
org.eclipse.ltk.core.refactoring is one plugin shipped with Eclipse SDK
itself. They should be ready if you Eclipse sdk works. How about using a
clear Eclipse instance to install the imp?(and now does the axdt support the
new release?^_^ )

ps: The new release works well under the Eclipse 3.5M5 in my primary test.



"Tommaso D'Argenio" <pingala@gmail.com>
??????:c95244281421e603999f3cccff2fc7bf$1@www.eclipse.org...
> Hi All,
>
> i hope somebody could help me out with this problem.
>
> i'm trying to install IMP in order to use AXDT but keep getting the
> message in the subject as error and couldn't cotinue the installation:
> Cannot find a solution satisfying the following requirements
> org.eclipse.ltk.core.refactoring [3.4.2.r342_v20081028-0800].
>
> i'm using Eclipse:
> Version: 3.4.2
> Build id: M20090211-1700
>
> i'm trying to install IMP from the update site via Software Update
> functionality in Eclipse
> i've also installed LPG as i've seen a note in the installation page about
> having LPG preinstalled before installing IMP.
>
> any help is much appreciated.
>
> thanks
> Tommaso.
>
Re: Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #27843 is a reply to message #27011] Sun, 15 March 2009 19:37 Go to previous messageGo to next message
Martin Schnabel is currently offline Martin Schnabel
Messages: 17
Registered: July 2009
Junior Member
jin.phd@gmail.com wrote:
> (and now does the axdt support the new release?^_^ )

just uploaded a compatible version to http://update.axdt.org

best regards
Martin Schnabel
Re: Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #27883 is a reply to message #27843] Mon, 16 March 2009 09:49 Go to previous message
Jin Missing name is currently offline Jin Missing name
Messages: 100
Registered: July 2009
Senior Member
good news:)
"Martin Schnabel" <mb0@mb0.org> ??????:gpk3fs$mvc$1@build.eclipse.org...
> jin.phd@gmail.com wrote:
>> (and now does the axdt support the new release?^_^ )
>
> just uploaded a compatible version to http://update.axdt.org
>
> best regards
> Martin Schnabel
Re: Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #575143 is a reply to message #26970] Mon, 09 March 2009 12:47 Go to previous message
Jin Missing name is currently offline Jin Missing name
Messages: 100
Registered: July 2009
Senior Member
org.eclipse.ltk.core.refactoring is one plugin shipped with Eclipse SDK
itself. They should be ready if you Eclipse sdk works. How about using a
clear Eclipse instance to install the imp?(and now does the axdt support the
new release?^_^ )

ps: The new release works well under the Eclipse 3.5M5 in my primary test.



"Tommaso D'Argenio" <pingala@gmail.com>
??????:c95244281421e603999f3cccff2fc7bf$1@www.eclipse.org...
> Hi All,
>
> i hope somebody could help me out with this problem.
>
> i'm trying to install IMP in order to use AXDT but keep getting the
> message in the subject as error and couldn't cotinue the installation:
> Cannot find a solution satisfying the following requirements
> org.eclipse.ltk.core.refactoring [3.4.2.r342_v20081028-0800].
>
> i'm using Eclipse:
> Version: 3.4.2
> Build id: M20090211-1700
>
> i'm trying to install IMP from the update site via Software Update
> functionality in Eclipse
> i've also installed LPG as i've seen a note in the installation page about
> having LPG preinstalled before installing IMP.
>
> any help is much appreciated.
>
> thanks
> Tommaso.
>
Re: Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #575357 is a reply to message #27011] Sun, 15 March 2009 19:37 Go to previous message
Martin Schnabel is currently offline Martin Schnabel
Messages: 17
Registered: July 2009
Junior Member
jin.phd@gmail.com wrote:
> (and now does the axdt support the new release?^_^ )

just uploaded a compatible version to http://update.axdt.org

best regards
Martin Schnabel
Re: Cannot find a solution satisfying the following requirements org.eclipse.ltk.core.refactoring [message #575385 is a reply to message #27843] Mon, 16 March 2009 09:49 Go to previous message
Jin Missing name is currently offline Jin Missing name
Messages: 100
Registered: July 2009
Senior Member
good news:)
"Martin Schnabel" <mb0@mb0.org> ??????:gpk3fs$mvc$1@build.eclipse.org...
> jin.phd@gmail.com wrote:
>> (and now does the axdt support the new release?^_^ )
>
> just uploaded a compatible version to http://update.axdt.org
>
> best regards
> Martin Schnabel
Previous Topic:Build lpgparser in org.eclipse.imp.lpg.runtime failed
Next Topic:When will IMP leave the incubator state?
Goto Forum:
  


Current Time: Sat Aug 30 22:26:27 EDT 2014

Powered by FUDForum. Page generated in 0.01834 seconds